uuid: 6beb7ecc-e43a-4ec9-b1bf-6248d0ddc936
langcode: en
status: true
dependencies:
  config:
    - field.field.taxonomy_term.course.field_academic_level
    - field.field.taxonomy_term.course.field_average_cost
    - field.field.taxonomy_term.course.field_contact_hours
    - field.field.taxonomy_term.course.field_corequisites
    - field.field.taxonomy_term.course.field_course_number
    - field.field.taxonomy_term.course.field_credits
    - field.field.taxonomy_term.course.field_crs_session_cycle
    - field.field.taxonomy_term.course.field_department
    - field.field.taxonomy_term.course.field_description
    - field.field.taxonomy_term.course.field_division
    - field.field.taxonomy_term.course.field_local_description
    - field.field.taxonomy_term.course.field_requisites_text
    - field.field.taxonomy_term.course.field_subject
    - field.field.taxonomy_term.course.field_title
    - taxonomy.vocabulary.course
  module:
    - feeds_tamper
    - taxonomy
third_party_settings:
  feeds_tamper:
    tampers:
      a4be8ac8-d7e0-49c4-acfe-3ba15c9f372a:
        find: $
        replace: ''
        case_sensitive: false
        word_boundaries: false
        whole: false
        uuid: a4be8ac8-d7e0-49c4-acfe-3ba15c9f372a
        plugin: find_replace
        source: average_cost
        weight: 0
        label: 'Find replace'
      efcc5707-2b01-4438-a0eb-19cf6f9c80ac:
        uuid: efcc5707-2b01-4438-a0eb-19cf6f9c80ac
        plugin: static_map
        source: sec_acad_level
        weight: -10
        label: 'Static map'
        map_values:
          CU: 'Curriculum (Credit)'
          CE: 'Continuing Education (Non-credit)'
          BSP: 'Continuing Education (Non-credit)'
        ignore_key_case: 0
        if_no_match: pass_thru
        if_no_match_default: ''
      328d3547-7597-44f8-b6ec-3a7a562ab0ab:
        text: '[name]'
        uuid: 328d3547-7597-44f8-b6ec-3a7a562ab0ab
        plugin: rewrite
        source: course_number
        weight: -10
        label: Rewrite
      17f769fc-f3cb-48d2-a948-a484e02aac66:
        find: '/^.*\-/'
        replace: ''
        limit: null
        uuid: 17f769fc-f3cb-48d2-a948-a484e02aac66
        plugin: find_replace_regex
        source: course_number
        weight: -8
        label: 'Find replace REGEX'
      3cca6064-c6af-4b49-9720-58235f240bb1:
        operation: strtoupper
        uuid: 3cca6064-c6af-4b49-9720-58235f240bb1
        plugin: convert_case
        source: course_number
        weight: -9
        label: 'Convert case'
      9057e3e7-da26-4997-9d87-eab759efd9b2:
        text: '[name]'
        uuid: 9057e3e7-da26-4997-9d87-eab759efd9b2
        plugin: rewrite
        source: subject
        weight: 0
        label: Rewrite
      f0ab0713-52a2-446a-bbb9-7c2d764918b0:
        operation: strtoupper
        uuid: f0ab0713-52a2-446a-bbb9-7c2d764918b0
        plugin: convert_case
        source: subject
        weight: 1
        label: 'Convert case'
      9afd0d19-03f8-4700-8c53-8b9d5a85cf5a:
        find: '/\-.*$/'
        replace: ''
        limit: null
        uuid: 9afd0d19-03f8-4700-8c53-8b9d5a85cf5a
        plugin: find_replace_regex
        source: subject
        weight: 2
        label: 'Find replace REGEX'
      8e93f744-7a20-426b-b703-deee2dafb52c:
        default_value: '1'
        only_if_empty: false
        uuid: 8e93f744-7a20-426b-b703-deee2dafb52c
        plugin: default_value
        source: status
        weight: 0
        label: 'Set value or default value'
      62691270-a03e-410b-a9b1-181d3e6cf772:
        uuid: 62691270-a03e-410b-a9b1-181d3e6cf772
        plugin: colleague_course_requisite_text
        source: requisites
        weight: 0
        label: 'Course requisite text'
label: 'Course import (All courses)'
id: course_import_all
description: 'Import of all courses, both active and inactive.'
help: ''
import_period: -1
fetcher: directory
fetcher_configuration:
  allowed_extensions: csv
  allowed_schemes:
    public: public
  recursive_scan: false
parser: csv
parser_configuration:
  delimiter: ','
  no_headers: false
  line_limit: 100
processor: 'entity:taxonomy_term'
processor_configuration:
  values:
    vid: course
  langcode: en
  insert_new: 1
  update_existing: 2
  update_non_existent: 'entity:unpublish_action:taxonomy_term'
  skip_hash_check: false
  authorize: false
  expire: -1
  owner_feed_author: false
  owner_id: 0
custom_sources:
  name:
    value: Name
    label: Name
    machine_name: name
    type: csv
  description:
    value: Description
    label: Description
    machine_name: description
    type: csv
  credits:
    value: Credits
    label: Credits
    machine_name: credits
    type: csv
  requisites:
    value: Requisites
    label: Requisites
    machine_name: requisites
    type: csv
  department:
    value: Department
    label: Department
    machine_name: department
    type: csv
  division:
    value: Division
    label: Division
    machine_name: division
    type: csv
  sec_acad_level:
    value: 'Sec Acad Level'
    label: 'Sec Acad Level'
    machine_name: sec_acad_level
    type: csv
  xcrs_local_description:
    value: 'Xcrs Local Description'
    label: 'Xcrs Local Description'
    machine_name: xcrs_local_description
    type: csv
  corequisites:
    value: Corequisites
    label: Corequisites
    machine_name: corequisites
    type: csv
  average_cost:
    value: 'Average Cost'
    label: 'Average Cost'
    machine_name: average_cost
    type: csv
  title:
    value: Title
    label: Title
    machine_name: title
    type: csv
  contact_hours:
    value: 'Contact Hours'
    label: 'Contact Hours'
    machine_name: contact_hours
    type: csv
  subject:
    value: Subject
    label: Subject
    machine_name: subject
    type: csv
  course_number:
    value: 'Course Number'
    label: 'Course Number'
    machine_name: course_number
    type: csv
  status:
    value: Status
    label: Status
    machine_name: status
    type: blank
  crs_session_cycle:
    value: 'Crs Session Cycle'
    label: 'Crs Session Cycle'
    machine_name: crs_session_cycle
    type: csv
mappings:
  -
    target: name
    map:
      value: name
    settings:
      language: null
    unique:
      value: '1'
  -
    target: field_title
    map:
      value: title
    settings:
      language: null
    unique: {  }
  -
    target: field_description
    map:
      value: description
    settings:
      language: null
  -
    target: field_credits
    map:
      value: credits
    settings:
      language: null
    unique: {  }
  -
    target: field_requisites_text
    map:
      value: requisites
    settings:
      language: ''
      format: basic_html
  -
    target: field_department
    map:
      target_id: department
    settings:
      language: ''
      reference_by: name
      feeds_item: guid
      autocreate: '1'
  -
    target: field_division
    map:
      target_id: division
    settings:
      language: ''
      reference_by: name
      feeds_item: guid
      autocreate: '1'
  -
    target: field_academic_level
    map:
      target_id: sec_acad_level
    settings:
      language: ''
      reference_by: name
      feeds_item: guid
      autocreate: 0
  -
    target: field_local_description
    map:
      value: xcrs_local_description
    settings:
      language: null
  -
    target: field_corequisites
    map:
      target_id: corequisites
    settings:
      language: null
      reference_by: name
      autocreate: false
      feeds_item: false
  -
    target: field_average_cost
    map:
      value: average_cost
    settings:
      language: null
    unique: {  }
  -
    target: field_contact_hours
    map:
      value: contact_hours
    settings:
      language: null
    unique: {  }
  -
    target: field_course_number
    map:
      value: course_number
    settings:
      language: null
    unique: {  }
  -
    target: field_subject
    map:
      target_id: subject
    settings:
      language: ''
      reference_by: name
      feeds_item: guid
      autocreate: '1'
  -
    target: status
    map:
      value: status
    settings:
      language: null
  -
    target: field_crs_session_cycle
    map:
      value: crs_session_cycle
    settings:
      language: ''
    unique: {  }
